/*
 * sketch.c
 *
 *  Created on: Mar 18, 2026
 *      Author: tobii
 */
int reihenfolge[6] = {0, 1, 2, 3, 2, 1};

int main(){
    while(1){
        while(/*schalter nicht gedrückt*/){}
        delay(10);
        while(/*schalter losgelassen*/){}
        delay(150);

        int aktiv = 1;
        while(aktiv){
            for(int i; i < reihenfolge.length - 1 && aktiv = 1; i ++){
                //alle LED einschalten
                if(i = 0){/*alles bis auf LED0 auschalten*/}
                if(i = 1){/*..*/}
                //...
                for(int zähler = 0; zähler < 333 && aktiv == 1; zähler++){
                    if(/*schalter gerückt*/){
                        aktiv = 0;
                        break;
                    }
                    else{
                        delay(1);
                    }
                }
                while(/*Taster gedrückt*/){}
            }
        }
    }
}
